Jump to content
srmuntz331

2011 MyFord Touch Software Help

Recommended Posts

I have a 2011 Ford Edge SEL that was purchased used in Jan. 2017. It has the Sync MyFord Touch version with the 8" screen. Recently my backup camera has stopped working completely, every time it is put into reverse it says backup camera unavailable contact your dealer. So I don't know what is going on with that but I thought maybe it is a software issue and may need an update. The only problem is I'm not sure what the latest software version is. I checked online on my ford account and it says my sync software is up to date, and the latest confirmed software install was on March 25, 2011 which was the base software Gen2-v2.7 BT4T-14D544-BH

I checked what the version is in the car under system information and that said CCPU S/W 4.23.11038. Anyone know what the latest software version for a 2011 Ford Edge Sync MyFord Touch is?

 

Also I ran a vehicle health report and it connected with my phone and dialed and said it was sending the report. But I can't find it anywhere it didn't get sent to my email and on my ford account it says vehicle health report is not available for your vehicle. How does Ford know if my software is up to date without connecting with my car somehow either from the vehicle health report or a dealer?

 

 

Share this post


Link to post
Share on other sites

I am pretty sure Ford has shut off Vehicle Health Report (VHR) for new customers of GEN1 and GEN2 SYNC systems. Existing Gen1 and Gen 2 users will lose VHR on August 1st. MyFord Touch is a GEN2 system.

 

Your backup camera is bad. It needs to be replaced. Typical failure for a Ford vehicle of your age.

 

3.08 is the latest official user installed software update. 3.10 is the latest and officially only available through a dealer or independent shop with OASIS access/IDS.

 

If you read this carefully (https://ford.oemdtc.com/1745/12m02-warranty-extension-covering-accessory-protocol-interface-module-apim-software-and-hardware-2011-2014-ford-lincoln/19) you can download the 3.08 update and get it installed.

  • Like 1

Share this post


Link to post
Share on other sites

So can you tell me which software version I have based on my CCPU # ? That's what I don't know, I'm not sure if it has been updated before. My ford account says it up to date but I don't necessarily believe that. Also if I contact Ford support will they send me the user installed update file in an email? I'm not too trusting of just downloading files from random websites, as they could be corrupted or have viruses that would really jack up the sync system, also I want to make sure I get the correct software version for my vehicle so I don't screw up the sync system. I'm not having too much trouble with MyTouch just with the camera, but I figured if it is running a way old version of the software it should probably be updated.

 

If I have to replace the camera that will have to wait awhile as I don't have an extra $500-$1000 or more to replace that right now. When I go into the rear view camera settings the camera preview shows up fine, It shows what's behind me as normal, just when I put it into reverse it won't work.

Share this post


Link to post
Share on other sites

You have version 2.7 installed.

 

Version 3.8 would be SYNCGen2_3.08.15128 and 3.10 is SYNCGen2_3.10.16180.

 

You can download directly from fords website at syncmyride.com.

 

While you should update to 3.8 (theres no value in paying the dealer for the 3.10 update as it didnt bring any enhancements), unfortunately I wouldnt expect the software update to fix a hardware issue.

 

You can search on the forum for similar camera issues, which, were not related to firmware but rather the camera itself needing replacement.

Edited by candurin

Share this post


Link to post
Share on other sites

Thank you candurin for letting me know which version I had. The problem is on fords website syncmyride, it says that my software is up to date and shows no software update available for me to download. I contacted Ford today in chat and of course they were no help to me. Basically they told me the only way to update it is to take it to a dealer and get version 3.10, which I agree I shouldn't have to pay the dealer to do an update that I could easily do myself.

Here's what the guy I chatted with said.

 

3.8 was the version that was last available on the site and is the one that was pulled due to the issues with the download. 3.10 is a revised version that was made available at the dealerships.

 

So they are not giving people the option of updating it themselves anymore and just telling them to go to the dealer where they can charge them $100+ to do the update.

Share this post


Link to post
Share on other sites

Heres a link to 3.8 (it should still be active, but, I cant check from my phone):

 

http://ivsu.binaries.ford.com/swparts/Gen2v38build15128updatepackageNARev2.zip

 

Its directly from fords servers.

 

1. Just unzip and copy to a USB (FAT32) drive

2. You should have just a "SyncMyRide" folder and "autoinstall.lst" file

3. Start your car, engine must be running throughout the process

4. Plug the USB

5. Let it install

 

Installation can take up to an hour.

 

If you want, heres a link to 3.10. Package checks out as an official ford one, albeit not from fords sever:

 

https://drive.google.com/file/d/1OgV-hRT3rQsGcMcga1mLeAOOHVYp7rRI/view

 

Many people have succedully updated to 3.10 using this package without issue (you assume all risk).

 

Same install process.

Edited by candurin
  • Like 1

Share this post


Link to post
Share on other sites

Hi Please help me

I tried to install latest one

but it is take more than 2:30 hours and now the car screen dark totaly how can to reinstall the software

 

My car is ford edge 2011 limited.

Share this post


Link to post
Share on other sites

Hi Please help me

I tried to install latest one

but it is take more than 2:30 hours and now the car screen dark totaly how can to reinstall the software

 

My car is ford edge 2011 limited.

 

What was the version in it before the update attempt?

  • Like 1

Share this post


Link to post
Share on other sites

 

What was the version in it before the update attempt?

CCPU S\W Version 4.26.12023_PRODUCT

Share this post


Link to post
Share on other sites

Which version did you try to install?

 

Going from 3.0.2 (which is 4.26.12023_PRODUCT) to 3.x should take more than 30-45 minutes at most.

 

If you unplug the harness from the drivers side kick panel fuse box and plug back in, does the system start back up?

Share this post


Link to post
Share on other sites

Which version did you try to install?

 

Going from 3.0.2 (which is 4.26.12023_PRODUCT) to 3.x should take more than 30-45 minutes at most.

 

If you unplug the harness from the drivers side kick panel fuse box and plug back in, does the system start back up?

I tried to upgraded to 3.10 latest one

also I tried to unplug the harness from the drivers side kick panel fuse box and plug back in, also doesn't work.

Share this post


Link to post
Share on other sites

I have seen some USB updates fail like that. Only way I have been able to recover them is by doing the dealer update.

Share this post


Link to post
Share on other sites

Is the screen just blank? Are you getting any audio at all?

 

You can try a reboot: press eject button and FF (>>) button, simultaneously, until it reboots.

 

You can try and put the system into diagnostics mode:

 

Hold eject button and right arrow on steering wheel, simultaneously for 10-15 seconds until audio speaker tones start.

Share this post


Link to post
Share on other sites

I have seen some USB updates fail like that. Only way I have been able to recover them is by doing the dealer update.

how I can do the dealer update without going to

please help me, because the dealer told me must change the APIM, and he didn't check any thing to see what is the problem.

so please help me.

Share this post


Link to post
Share on other sites

how I can do the dealer update without going to

please help me, because the dealer told me must change the APIM, and he didn't check any thing to see what is the problem.

so please help me.

 

Unless you have all the required hardware and paid access to the appropriate service sites, you can't.

 

The dealer should try doing an update on it, but being an 11, if it's the original APIM it's probably going to die soon anyway if it isn't dead already from the failed update.

  • Like 1

Share this post


Link to post
Share on other sites

 

Unless you have all the required hardware and paid access to the appropriate service sites, you can't.

 

The dealer should try doing an update on it, but being an 11, if it's the original APIM it's probably going to die soon anyway if it isn't dead already from the failed update.

 

 

I have replaced APIM with used one with same version 3.0.2 (which is 4.26.12023_PRODUCT), do you recommend that I update to version 3.08 by downloading the version at the top of this page?

Share this post


Link to post
Share on other sites

I have seen some USB updates fail like that. Only way I have been able to recover them is by doing the dealer update.

I have replaced APIM with used one with same version 3.0.2 (which is 4.26.12023_PRODUCT), do you recommend that I update to version 3.08 by downloading the version at the top of this page?

Share this post


Link to post
Share on other sites

I have replaced APIM with used one with same version 3.0.2 (which is 4.26.12023_PRODUCT), do you recommend that I update to version 3.08 by downloading the version at the top of this page?

 

First, go to syncmyride.com and check again if an update available for your vehicle. Ford just recently made SYNC v3.10 officially available for download.

Second, If not, you could try installing 3.08 or 3.10 from links available on this page. There is a 99% chance you'll get it succesfully installed, but another 1% might fall into dead APIM category (those cases have been previously reported)

Edited by redden18

Share this post


Link to post
Share on other sites

Ford made Sync2 v3.10 available for download but when you download it and try to install it says it requires a dealer to install, on the Sync screen. I've contacted Ford IVT (In-Vehicle Technology) about this and they responded that they would get back to me but its been 2 weeks and no answer.

 

Their response 2 weeks ago was: "This is being reviewed for you. Someone will reach out to you as soon as possible. However, it may be a good idea to have this installed at the Ford service center."

Share this post


Link to post
Share on other sites

Ford made Sync2 v3.10 available for download but when you download it and try to install it says it requires a dealer to install, on the Sync screen. I've contacted Ford IVT (In-Vehicle Technology) about this and they responded that they would get back to me but its been 2 weeks and no answer.

 

Their response 2 weeks ago was: "This is being reviewed for you. Someone will reach out to you as soon as possible. However, it may be a good idea to have this installed at the Ford service center."

 

What is your current version of MFT software. If it is too old it does require the dealer to do it. It would have to be pretty old though.

Edited by jmr061

Share this post


Link to post
Share on other sites

Ford made Sync2 v3.10 available for download but when you download it and try to install it says it requires a dealer to install, on the Sync screen. I've contacted Ford IVT (In-Vehicle Technology) about this and they responded that they would get back to me but its been 2 weeks and no answer.

 

Their response 2 weeks ago was: "This is being reviewed for you. Someone will reach out to you as soon as possible. However, it may be a good idea to have this installed at the Ford service center

Check your version of SYNC and compare it against Autoinstall.lst file of version 3.10 you downloaded (opens by any text reader like wordpad or notepad). Your version is most likely not included in that file. I can help you to modify it so you can install it by yourself without visiting dealer

Share this post


Link to post
Share on other sites

Ford made Sync2 v3.10 available for download but when you download it and try to install it says it requires a dealer to install, on the Sync screen. I've contacted Ford IVT (In-Vehicle Technology) about this and they responded that they would get back to me but its been 2 weeks and no answer.

 

Their response 2 weeks ago was: "This is being reviewed for you. Someone will reach out to you as soon as possible. However, it may be a good idea to have this installed at the Ford service center."

Hold on, just noticed, do you have 2017 Edge? You should have SYNC 3 then, not SYNC 2

Share this post


Link to post
Share on other sites

The vehicle that I'm talking about for this software is my 2014 Ford Taurus Limited which has Sync2 MFT presently at version v3.8 (15128). I have both vehicles listed under my profile. I've attached the autoinstall from the v3.10 software.

autoinstall.txt

Edited by FordGuy1

Share this post


Link to post
Share on other sites

The vehicle that I'm talking about for this software is my 2014 Ford Taurus Limited which has Sync2 MFT presently at version v3.8 (15128). I have both vehicles listed under my profile. I've attached the autoinstall from the v3.10 software.

The autoinstall file you have is missing your version 3.8.15128 for whatever reason even though we have the same version 3.10.161080.

 

Here is portion of string from Autoinstall file:

The line you missing is in RED

 

Item11 = EA5T-14F496-VE
Open11 = SyncMyRide\EA5T-14F496-VE.zip
Options = AutoInstall
[sYNCGen2_3.08.15128]
[sYNCGen2_4.30.13171]
[sYNCGen2_4.31.13319]
[sYNCGen2_4.32.14073]
[sYNCGen2_4.32.14122]
Item1 = EA5T-14D546-AKB
Open1 = SyncMyRide\EA5T-14D546-AKB.cab

 

Nevertheless,

In order to install 3.10 please replace the Autoinstall file with the one I attached and change "txt" extension with "lst" as I wasn't allowed to upload .lst

autoinstall.txt

Edited by redden18

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×